AntiFeatures:
  NonFreeNet:
    en-US: Depends on copymanga, which is not libre.
Categories:
  - Reading
License: GPL-3.0-only
AuthorName: 源文雨
SourceCode: https://github.com/fumiama/copymanga
IssueTracker: https://github.com/fumiama/copymanga/issues
Changelog: https://github.com/fumiama/copymanga/releases

AutoName: 拷贝漫画

RepoType: git
Repo: https://github.com/fumiama/copymanga.git
Binaries: https://github.com/fumiama/copymanga/releases/download/v%v/CopyManga_%v.apk

Builds:
  - versionName: 2.0.beta11
    versionCode: 23
    commit: cfcfa99934f652fdeeea7bf37918b54cd8a59cb2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.beta14
    versionCode: 26
    commit: 282ef143855a9eaa350f0d05c2c6b5765d3ed61c
    subdir: app
    output: out.apk
    srclibs:
      - reproducible-apk-tools@v0.1.1
    build:
      - gradle assembleRelease
      - $$reproducible-apk-tools$$/sort-apk.py build/outputs/apk/release/*.apk out.apk

  - versionName: 2.0.beta15
    versionCode: 27
    commit: 3213822786c435f5a7327708c707f937baf9494d
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.beta17
    versionCode: 29
    commit: 3784d30e3cc5b6950b87d7aa5a53bc481bdd8353
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.beta20
    versionCode: 32
    commit: c4ae6228809c861e0a0539714787f65e7ca5467a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.beta21
    versionCode: 33
    commit: 95e82ab97cf36c41fbada7ef43311e66ba085f85
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.beta22
    versionCode: 34
    commit: 5d9db7a657535d48848aaf720bca002f8e25551d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.2
    versionCode: 38
    commit: 34e9a4fe67e7daf2fc9e7525b50a7406c820bb58
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.4
    versionCode: 40
    commit: 74f68f89078f7cf3cc145b57ca7c6054aab8ff18
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.5
    versionCode: 41
    commit: 279e08b06a70307bf20162900103ec1fdcb97751
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.0.6
    versionCode: 42
    commit: 2257e977d1d5976a3d71e98b1cd4315507ae9cf3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 44
    commit: 40574ba9a6b6310141da7b83ec40db5940cee683
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.2.4
    versionCode: 52
    commit: 446575916481798979c52883cf73af1d67bf5046
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 2.2.7
    versionCode: 55
    commit: 9347a8d29d29de887cca7566753a89c073747234
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.8
    versionCode: 56
    commit: 5ea5ad631e2c4f4270fc3401a650cdeb7a51d432
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.9
    versionCode: 57
    commit: 43de1640f1c1d4e78d90227adc6e8102da8304b4
    subdir: app
    gradle:
      - yes

AllowedAPKSigningKeys: 601ee0e0de0c0977dd7223fd752fd09e007b5baef1f62c9be54edc9bc3ccada7

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.2.9
CurrentVersionCode: 57
